Novo projeto de aplicativo Android não é possível criar Atividade em branco

? Nikolius @ | Original: StackOverFlow
---

Eu sou ainda novo no desenvolvimento do Android e apenas decidiu aprender . no entanto eu encontrar algum problema que me dirige nozes isso algumas horas .. eu só quero criar um novo projeto com essa configuração

Novo projeto de aplicativo Android não é possível criar Atividade em branco

o problema é que eu não posso criar uma nova atividade em branco com ele, ele diz que requer uma versão API alvo de construção de pelo menos 14 anos, e a versão atual é de 8

Novo projeto de aplicativo Android não é possível criar Atividade em branco

Eu só quero tentar desenvolver uma aplicação que suporta a partir do Android 2.2 ( API 8) em diante .. é que simplesmente não é possível no momento para criar um Android 2.2 aplicativos compatíveis com espaço em branco modelo de atividade ? por isso, para usar em branco modelo de atividade i deve usar Android 4.0 (API 14) ? que é correto?

---

Top 5 Responder

1Shivansh Saxena @

Siga este link Eu acho que é o melhor lugar para aprender android do básico   https://developer.android.com/training/basics/firstapp/index.html?hl=it

2ojonugwa ochalifu @

Alterar o SDK mínimo necessário para 9 eo SDK alvo a 18

3user3439968 @

É novo recurso do ADT 22.6.2

Mesmo em "None" tema ADT ( 22.6.2 ) criar " Fragment Layout"

Há quatro maneiras :

Tente mudar "Target " e " criar" a API 14 ou superior. Mas você precisa, em seguida, remover todas as entradas de " Fragmento Layouts "

Desmarque a opção " Criar atividade " checkbox, e criar atividade manualmente. Bom howto :  http://stackoverflow.com/questions/2337874/best-way-to-add-activity-to-an-android-project-in-eclipse

Downgrade para o 22.3.0, por exemplo,

Tente mudar templates. No link abaixo você encontra howto.

Eu uso terceira via para meus aplicativos com APIs inferiores 14. Em diretórios diferentes eu tenho instalado 22.3.0 e 22.6.2

Há em 22.6.2 é alguns outros bugs com arquivos em branco e problemas com AVD . Nova versão do ADT realmente com erros ...

Veja também este links:

http://stackoverflow.com/questions/22289164/adt-blank-activity-created-with-fragment-activity

http://stackoverflow.com/questions/22278479/eclipse-doesnt-generate-mainactivity-java-activity-main-xml

e procurar, sim )

http://stackoverflow.com/search?q=adt+22.6

Adicionados alguns novos caminhos.

Como eu usá-lo agora :

You can create project in 22.3.0 or lower. Then open it in 22.6 or greater. You can create project in 22.3.0 or lower and leave it blank. Then in 22.6 or greater you can use this blank project as template. Just copy this template-project and past it with new name as you new-project in Eclipse workspase.

Enjoy! )

4user3459475 @

isso vai ser complicado edifício para tal versão, você pode deixá-lo mínimo SDK no yoru desejado . Ainda que você deve aumentar max, também, se o seu mínimo é de nada menos do que 15, o ADK agora está construindo uma pasta extra ( novidades ) Na verdade, a nova versão do ADT é chato, eu estou apenas começando e agora você vai ver que eles têm aplicada a utilização de fragmentos .

5Harison Silva @

Eu descobri que podemos usar Atividade vazio em vez de Atividade em branco . Agora em vazio é criado um fragmento, layout e R.java é atualizado.